Permalink
Browse files

add gemspec file

  • Loading branch information...
seiya committed Apr 21, 2011
1 parent ea9581a commit 91274ac1f7cccc67ddafeac55798560f7de907c4
Showing with 71 additions and 0 deletions.
  1. +71 −0 ruby-mpi.gemspec
View
@@ -0,0 +1,71 @@
+# Generated by jeweler
+# DO NOT EDIT THIS FILE DIRECTLY
+# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
+# -*- encoding: utf-8 -*-
+
+Gem::Specification.new do |s|
+ s.name = %q{ruby-mpi}
+ s.version = "0.1.0"
+
+ s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
+ s.authors = ["Seiya Nishizawa"]
+ s.date = %q{2011-04-21}
+ s.description = %q{A ruby binding of Message Passing Interface (MPI), which is an API specification that allows processes to communicate with one another by sending and receiving messages.}
+ s.email = %q{seiya@gfd-dennou.org}
+ s.extensions = ["ext/mpi/extconf.rb"]
+ s.extra_rdoc_files = [
+ "LICENSE.txt",
+ "README.rdoc"
+ ]
+ s.files = [
+ ".document",
+ ".rspec",
+ "Gemfile",
+ "LICENSE.txt",
+ "README.rdoc",
+ "Rakefile",
+ "VERSION",
+ "ext/mpi/extconf.rb",
+ "ext/mpi/mpi.c",
+ "lib/mpi.rb",
+ "samples/hello.rb",
+ "samples/narray.rb",
+ "spec/ruby-mpi_spec.rb",
+ "spec/spec_helper.rb"
+ ]
+ s.homepage = %q{http://github.com/seiya/ruby-mpi}
+ s.licenses = ["MIT"]
+ s.require_paths = ["lib"]
+ s.rubygems_version = %q{1.3.7}
+ s.summary = %q{A ruby binding of MPI}
+ s.test_files = [
+ "spec/ruby-mpi_spec.rb",
+ "spec/spec_helper.rb"
+ ]
+
+ if s.respond_to? :specification_version then
+ current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
+ s.specification_version = 3
+
+ if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_development_dependency(%q<rspec>, ["~> 2.3.0"])
+ s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
+ s.add_development_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_development_dependency(%q<rcov>, [">= 0"])
+ s.add_development_dependency(%q<narray>, [">= 0"])
+ else
+ s.add_dependency(%q<rspec>, ["~> 2.3.0"])
+ s.add_dependency(%q<bundler>, ["~> 1.0.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<rcov>, [">= 0"])
+ s.add_dependency(%q<narray>, [">= 0"])
+ end
+ else
+ s.add_dependency(%q<rspec>, ["~> 2.3.0"])
+ s.add_dependency(%q<bundler>, ["~> 1.0.0"])
+ s.add_dependency(%q<jeweler>, ["~> 1.5.2"])
+ s.add_dependency(%q<rcov>, [">= 0"])
+ s.add_dependency(%q<narray>, [">= 0"])
+ end
+end
+

0 comments on commit 91274ac

Please sign in to comment.